Index: /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/date.f90
===================================================================
--- /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/date.f90	(revision 5074)
+++ /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/date.f90	(revision 5075)
@@ -710,23 +751,21 @@
          CALL date__ymd2jd(tl_dateo)
 
-         td_date%r_jc = td_date%r_jd-tl_dateo%r_jd
-      ENDIF
-
-      td_date%k_jcsec = date__jd2sec(td_date%r_jc)
+         td_date%d_jc = td_date%d_jd-tl_dateo%d_jd
+      ENDIF
+
+      td_date%k_jcsec = date__jd2sec(td_date%d_jc)
 
    END SUBROUTINE date__jd2jc
-   ! @endcode   
-   !-------------------------------------------------------------------
-   !> @brief This subroutine compute the day of week from julian day<br/>
+   !-------------------------------------------------------------------
+   !> @brief This subroutine compute the day of week from julian day, and fill
+   !> input date structure.<br/>
    !>  days   : Sunday Monday Tuesday Wednesday Thursday Friday Saturday<br/>
    !>  numday : 0      1      2       3         4        5      6<br/>
    !>
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_date : date strutcutre
-   !> @return day of week inside input date structure 
-   !-------------------------------------------------------------------
-   ! @code
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[inout] td_date   date strutcutre
+   !-------------------------------------------------------------------
    SUBROUTINE date__jd2dow(td_date)
       IMPLICIT NONE
@@ -735,20 +774,18 @@
       !----------------------------------------------------------------
 
-      td_date%i_dow=MOD((INT(AINT(td_date%r_jd))+3),7)
+      td_date%i_dow=MOD((INT(AINT(td_date%d_jd))+3),7)
 
    END SUBROUTINE date__jd2dow
-   ! @endcode   
    !-------------------------------------------------------------------
    !> @brief This function compute fraction of a day from 
-   !> hour, minute, second 
-   !>
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_date : date strutcutre
+   !> hour, minute, second. 
+   !>
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] td_date   date strutcutre
    !> @return fraction of the day
    !-------------------------------------------------------------------
-   ! @code
-   REAL(sp) FUNCTION date__hms2jd(td_date)
+   REAL(dp) FUNCTION date__hms2jd(td_date)
       IMPLICIT NONE
       ! Argument   
@@ -757,25 +794,22 @@
 
       !  compute real seconds
-      date__hms2jd = REAL( td_date%i_sec, sp )   
+      date__hms2jd = REAL( td_date%i_sec, dp )   
       !  compute real minutes
-      date__hms2jd = REAL( td_date%i_min, sp ) + date__hms2jd/60.0
+      date__hms2jd = REAL( td_date%i_min, dp ) + date__hms2jd/60.0
       !  compute real hours
-      date__hms2jd = REAL( td_date%i_hour, sp ) + date__hms2jd/60.0
+      date__hms2jd = REAL( td_date%i_hour, dp ) + date__hms2jd/60.0
       !  julian fraction of a day
       date__hms2jd = date__hms2jd/24.0
 
    END FUNCTION date__hms2jd
-   ! @endcode 
-   !-------------------------------------------------------------------
-   !> @brief This function compute hour, minute, second from julian 
-   !> fraction
-   !>
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_date : date strutcutre
-   !> @return date strutcutre
-   !-------------------------------------------------------------------
-   ! @code
+   !-------------------------------------------------------------------
+   !> @brief This subroutine compute hour, minute, second from julian 
+   !> fraction, and fill date structure.
+   !>
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[inout] td_date   date strutcutre
+   !-------------------------------------------------------------------
    SUBROUTINE date__jd2hms(td_date)
       IMPLICIT NONE
@@ -784,28 +818,26 @@
 
       !local variable
-      REAL(sp) :: rl_fract
-      !----------------------------------------------------------------
-
-      rl_fract=(td_date%r_jd)-AINT(td_date%r_jd)
+      REAL(dp) :: dl_fract
+      !----------------------------------------------------------------
+
+      dl_fract=(td_date%d_jd)-AINT(td_date%d_jd)
       !  compute hour
-      td_date%i_hour = INT( rl_fract * 24.0, i4 )
-      rl_fract = ( rl_fract - REAL( td_date%i_hour, sp ) / 24.0) * 24.0
+      td_date%i_hour = INT( dl_fract * 24.0, i4 )
+      dl_fract = ( dl_fract - REAL( td_date%i_hour, dp ) / 24.0) * 24.0
       !  compute minute
-      td_date%i_min = INT( rl_fract * 60.0, i4 )
-      rl_fract = ( rl_fract - REAL( td_date%i_min, sp ) / 60.0) * 60.0
+      td_date%i_min = INT( dl_fract * 60.0, i4 )
+      dl_fract = ( dl_fract - REAL( td_date%i_min, dp ) / 60.0) * 60.0
       !  compute second
-      td_date%i_sec = NINT( rl_fract * 60.0, i4 )
+      td_date%i_sec = NINT( dl_fract * 60.0, i4 )
 
    END SUBROUTINE date__jd2hms
-   ! @endcode   
    !-------------------------------------------------------------------
    !> @brief This subroutine check date express in date structure
    !>
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_date : date strutcutre
-   !-------------------------------------------------------------------
-   ! @code
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] td_date   date strutcutre
+   !-------------------------------------------------------------------
    SUBROUTINE date__check(td_date)
       IMPLICIT NONE
@@ -819,60 +851,67 @@
       !----------------------------------------------------------------
 
+      ! init
+      il_status=0
+
       ! check year
       IF( td_date%i_year < 1858_i4 .OR. td_date%i_year > 39999_i4 )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "year ",td_date%i_year," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF
       ! check month
       IF( td_date%i_month < 1_i4 .OR. td_date%i_month > 12_i4 )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "month ",td_date%i_month," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF
       ! check day
       il_lastday=date__lastday(td_date)
       IF( td_date%i_day < 1_i4 .OR. td_date%i_day > il_lastday )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "day ",td_date%i_day," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF
       ! check hour
       IF( td_date%i_hour < 0_i4 .OR. td_date%i_hour > 23_i4 )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "hour ",td_date%i_hour," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF
       ! check minutes
       IF( td_date%i_min < 0_i4 .OR. td_date%i_min > 59_i4 )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "minutes ",td_date%i_min," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF   
       ! check seconds
       IF( td_date%i_sec < 0_i4 .OR. td_date%i_sec > 59_i4 )THEN
+         il_status=il_status+1
          WRITE(cl_msg,*) "seconds ",td_date%i_sec," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
       ENDIF
 
       ! check julian day
-      IF( td_date%r_jd < 0_sp .OR. td_date%r_jd > 782028_sp )THEN
-         WRITE(cl_msg,*) "julian day ",td_date%r_jd," out of range"
+      IF( td_date%d_jd < 0_sp .OR. td_date%d_jd > 782028_sp )THEN
+         il_status=il_status+1
+         WRITE(cl_msg,*) "julian day ",td_date%d_jd," out of range"
          CALL logger_error(cl_msg)
-         CALL fct_err(il_status)
+      ENDIF
+
+      IF( il_status/= 0 )THEN
+         WRITE(cl_msg,*) " date error"
+         CALL logger_fatal(cl_msg)
       ENDIF
 
    END SUBROUTINE date__check
-   ! @endcode   
-   !-------------------------------------------------------------------
-   !> @brief This subroutine adjust date
-   !>
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_date : date strutcutre
-   !-------------------------------------------------------------------
-   ! @code
+   !-------------------------------------------------------------------
+   !> @brief This subroutine adjust date (correct hour, minutes, and seconds
+   !> value if need be)
+   !>
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[inout] td_date   date strutcutre
+   !-------------------------------------------------------------------
    SUBROUTINE date__adjust(td_date)
       IMPLICIT NONE
@@ -893,40 +932,36 @@
       IF( td_date%i_hour == 24 )THEN
          td_date%i_hour=0
-         td_date=date__addnday(td_date,1._sp)
+         td_date=date__addnday(td_date,1._dp)
       ENDIF
 
    END SUBROUTINE date__adjust
-   ! @endcode   
    !-------------------------------------------------------------------
    !> @brief This function convert julian day in seconds
-   !> since julian day origin
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_date : date strutcutre
+   !> since julian day origin.
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] td_date   date strutcutre
    !> @return number of seconds since julian day origin
    !-------------------------------------------------------------------
-   ! @code
-   INTEGER(i8) FUNCTION date__jd2sec(rd_jul)
-      IMPLICIT NONE
-      ! Argument   
-      REAL(sp), INTENT(IN) :: rd_jul
-      !----------------------------------------------------------------
-
-      date__jd2sec = NINT( rd_jul * im_secbyday, i8 )
+   INTEGER(i8) FUNCTION date__jd2sec(dd_jul)
+      IMPLICIT NONE
+      ! Argument   
+      REAL(dp), INTENT(IN) :: dd_jul
+      !----------------------------------------------------------------
+
+      date__jd2sec = NINT( dd_jul * im_secbyday, i8 )
 
    END FUNCTION date__jd2sec
-   ! @endcode   
    !-------------------------------------------------------------------
    !> @brief This function convert seconds since julian day origin in 
-   !> julian day
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_date : date strutcutre
-   !> @return number of seconds since julian day origin
-   !-------------------------------------------------------------------
-   ! @code
-   REAL(sp) FUNCTION date__sec2jd(kd_nsec)
+   !> julian day.
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] kd_nsec   number of second since julian day origin
+   !> @return julian day
+   !-------------------------------------------------------------------
+   REAL(dp) FUNCTION date__sec2jd(kd_nsec)
       IMPLICIT NONE
       ! Argument   
@@ -934,8 +969,7 @@
       !----------------------------------------------------------------
 
-      date__sec2jd = REAL( REAL( kd_nsec , sp ) / im_secbyday, sp )
+      date__sec2jd = REAL( REAL( kd_nsec , dp ) / im_secbyday, dp )
 
    END FUNCTION date__sec2jd
-   ! @endcode   
 END MODULE date
 
